    var AAO_URL = "<AAO_URL>";
	var currentChecklist = 0;

    var xhttp = new XMLHttpRequest();
    xhttp.addEventListener("load", dataRequestListener);

    var mainLoopRequestObj = {};
	mainLoopRequestObj.getvars = [];
    var toget = { "var": "(L:clphase)", "value": 0 };
    mainLoopRequestObj.getvars.push(toget);
	toget = { "var": "(L:A320Checklist)", "value": 0 };
    mainLoopRequestObj.getvars.push(toget);

    var lastItem;
    var lastLabel;

    function Reset() {
		lastItem = null;
		lastLabel = null;
		for (let i = 1; i < 50; i++){
			let itemId = "item_" + i.toString();
			var cbs = document.getElementById(itemId);
			if (cbs){
				cbs.checked = false;
			} else {
				return;
			}
		}
    };

    // Main data loop to gather feedback from AAO
    function DataLoop() {
        if (xhttp != null) {
            xhttp.open("GET", AAO_URL + "?json=" + JSON.stringify(mainLoopRequestObj));
            xhttp.send();
        }
    };

    // Process the received values
    function dataRequestListener() {
        var commObj = JSON.parse(this.responseText);
        if (commObj.getvars[0].value == 0)
        {
            if (lastItem) {
				document.getElementById(lastItem).checked = true;
                document.getElementById(lastLabel).style.fontWeight = "normal";
				document.getElementById(lastLabel).style.fontSize = "24px";
                
            }
        }
        else
        {
            let itemId = "item_" + commObj.getvars[0].value.toString();
            if (!lastItem || lastItem !== itemId) {
                let labelId = "itemLabel_" + commObj.getvars[0].value.toString();
                if (lastLabel && lastLabel !== labelId) {
				    document.getElementById(lastItem).checked = true;
                    document.getElementById(lastLabel).style.fontWeight = "normal";
                    document.getElementById(lastLabel).style.fontSize = "24px";
                    
                }
                lastItem = itemId;
                lastLabel = labelId;
                document.getElementById(labelId).style.fontWeight = "bold";
				document.getElementById(lastLabel).style.fontSize = "28px";
            }
        }
        if (commObj.getvars[1].value != currentChecklist){
			currentChecklist = commObj.getvars[1].value;
			let nextUrl = "<AAO_URL>" + "/a320cl/";
			switch (currentChecklist){
				case 1: 
					nextUrl = nextUrl + "index.html";
					break;
				case 2: 
					nextUrl = nextUrl + "2_beforestart.html";
					break;
				case 3: 
					nextUrl = nextUrl + "3_pushback.html";
					break;
				case 4: 
					nextUrl = nextUrl + "4_afterstart.html";
					break;
				case 5: 
					nextUrl = nextUrl + "5_taxiing.html";
					break;
				case 6: 
					nextUrl = nextUrl + "6_beforetakeoff.html";
					break;
				case 7: 
					nextUrl = nextUrl + "7_aftertakeoff.html";
					break;
				case 8: 
					nextUrl = nextUrl + "8_descent.html";
					break;
				case 9: 
					nextUrl = nextUrl + "9_approach.html";
					break;
				case 10: 
					nextUrl = nextUrl + "10_final.html";
					break;
				case 11: 
					nextUrl = nextUrl + "11_after_landing.html";
					break;
				case 12: 
					nextUrl = nextUrl + "12_parking.html";
					break;
				case 13: 
					nextUrl = nextUrl + "13_leavingaircraft.html";
					break;
				default:
					nextUrl = nextUrl + "index.html";
			}
			window.location.href = nextUrl;
		}
    };

    // Data loop runs every 250 milliseconds 
    setInterval(DataLoop, 250);

    // Simulator event that is processed directly by AAO
    function sendEvent(val, evt) {
        var requestObj = {};
        requestObj.triggers = [];
        var tosend = { "evt": evt, "value": val};
        requestObj.triggers.push(tosend);
        var relxhttp = new XMLHttpRequest();
        var relurl = encodeURI(AAO_URL + "?json=" + JSON.stringify(requestObj));
        relurl = relurl.replace(/\+/g, '%2B');
        relxhttp.open("POST", relurl);
        relxhttp.send();
	}

    // RPN scripts to be processed by AAO
    function sendScript(scr) {
        var requestObj = {};
        requestObj.scripts = [];
        var tosend = { "code": scr};
        requestObj.scripts.push(tosend);
        var relxhttp = new XMLHttpRequest();
        var relurl = encodeURI(AAO_URL + "?json=" + JSON.stringify(requestObj));
        relurl = relurl.replace(/\+/g, '%2B');
        relxhttp.open("POST", relurl);
        relxhttp.send();
    }
	
    function itemCheckClick(itemId) {
        if (lastItem && itemId === lastItem)
        {
            document.getElementById(itemId).checked = false;
            sendEvent(1, '(>K:AAO_CL_CHECKED)');
        }
    }
	
    function bStopClClick() {
		sendScript('1 (>K:AAO_CL_STOP) 0 (>L:clphase)');
		Reset();
    }


